<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>netcoreapp3.1</TargetFramework>

    <IsPackable>false</IsPackable>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="Microsoft.Extensions.Configuration" Version="3.1.7" />
    <PackageReference Include="Microsoft.Extensions.Configuration.Json" Version="3.1.7" />
    <PackageReference Include="Microsoft.NET.Test.Sdk" Version="16.5.0" />
    <PackageReference Include="Siger.DataSchedule.Infrastructure.Extend" Version="1.0.0" />
    <PackageReference Include="xunit" Version="2.4.0" />
    <PackageReference Include="xunit.runner.visualstudio" Version="2.4.0" />
    <PackageReference Include="coverlet.collector" Version="1.2.0" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\Siger.Schedule.AccModule\Siger.Schedule.AccModule.csproj" />
    <ProjectReference Include="..\Siger.Schedule.CncModule\Siger.Schedule.CncModule.csproj" />
    <ProjectReference Include="..\Siger.Schedule.DashboardModule\Siger.Schedule.DashboardModule.csproj" />
    <ProjectReference Include="..\Siger.Schedule.KpiModule\Siger.Schedule.KpiModule.csproj" />
    <ProjectReference Include="..\Siger.Schedule.QmsModule\Siger.Schedule.QmsModule.csproj" />
    <ProjectReference Include="..\Siger.Schedule.ToolsModule\Siger.Schedule.ToolsModule.csproj" />
    <ProjectReference Include="..\Siger.Schedule.TpmModule\Siger.Schedule.TpmModule.csproj" />
  </ItemGroup>

  <ItemGroup>
    <None Update="appsettings.json">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
  </ItemGroup>

</Project>
